import { jsx } from "react/jsx-runtime";
import { Cigarette as Cigarette$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Cigarette = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Cigarette", ...props, children: /* @__PURE__ */ jsx(Cigarette$1, { weight: variant }) });
  }
);
Cigarette.displayName = "Cigarette";
Object.assign(Cigarette, { isGdsIcon: true });
export {
  Cigarette
};
